Compare commits

..
Author SHA1 Message Date
CSRBot af730af6be chore(deps): update volkerraschek/helm docker tag to v4
Helm / helm-lint (push) Successful in 11s
Helm / helm-unittest (push) Successful in 14s
Helm / helm-lint (pull_request) Successful in 13s
Helm / helm-unittest (pull_request) Successful in 14s
2026-08-18 03:16:33 +00:00
CSRBot 71c193340e Merge pull request 'chore(deps): update volker-raschek/ah-annotations action to v0.2.0' (#194) from renovate/volker-raschek-ah-annotations-0.x into master
Helm / helm-unittest (push) Successful in 17s
Helm / helm-lint (push) Successful in 11s
2026-08-18 00:16:50 +00:00
CSRBot f2ae0d259f chore(deps): update volker-raschek/ah-annotations action to v0.2.0
Helm / helm-lint (push) Successful in 13s
Helm / helm-unittest (push) Successful in 17s
Helm / helm-unittest (pull_request) Successful in 16s
Helm / helm-lint (pull_request) Successful in 12s
2026-08-18 00:15:27 +00:00
CSRBot 5ed645a093 Merge pull request 'chore(deps): pin volker-raschek/ah-annotations action to d5154c8' (#193) from renovate/pin-dependencies into master
Helm / helm-unittest (push) Successful in 21s
Helm / helm-lint (push) Successful in 6s
2026-08-17 21:18:17 +00:00
CSRBot b3d9c99f89 chore(deps): pin volker-raschek/ah-annotations action to d5154c8
Helm / helm-lint (push) Successful in 11s
Helm / helm-lint (pull_request) Successful in 7s
Helm / helm-unittest (push) Successful in 29s
Helm / helm-unittest (pull_request) Successful in 19s
2026-08-17 21:16:21 +00:00
volker.raschek e2f7423027 chore(deps): migrate to action volker-raschek/ah-annotations
Helm / helm-lint (push) Successful in 6s
Helm / helm-unittest (push) Successful in 26s
2026-08-17 22:48:24 +02:00
CSRBot e0e35b3e83 Merge pull request 'chore(deps): update dependency helm/helm to v4.2.4' (#192) from renovate/helm-helm-4.x into master
Helm / helm-unittest (push) Successful in 16s
Helm / helm-lint (push) Successful in 13s
2026-08-13 15:18:09 +00:00
CSRBot c834c0b905 chore(deps): update dependency helm/helm to v4.2.4
Helm / helm-lint (push) Successful in 5s
Helm / helm-lint (pull_request) Successful in 6s
Helm / helm-unittest (push) Successful in 27s
Helm / helm-unittest (pull_request) Successful in 20s
2026-08-13 15:17:19 +00:00
CSRBot d88c6973a2 Merge pull request 'chore(deps): update dependency sigstore/cosign to v3.1.3' (#190) from renovate/sigstore-cosign-3.x into master
Helm / helm-unittest (push) Successful in 37s
Helm / helm-lint (push) Successful in 13s
2026-08-09 21:20:21 +00:00
CSRBot 571dc04f8f chore(deps): update dependency sigstore/cosign to v3.1.3
Helm / helm-lint (push) Successful in 7s
Helm / helm-lint (pull_request) Successful in 14s
Helm / helm-unittest (push) Successful in 34s
Helm / helm-unittest (pull_request) Successful in 39s
2026-08-09 21:17:55 +00:00
CSRBot 60eb47751f Merge pull request 'chore(deps): update docker.io/library/node docker tag to v26.7.0' (#191) from renovate/update-docker.iolibrarynode into master
Helm / helm-lint (push) Successful in 14s
Helm / helm-unittest (push) Successful in 21s
2026-08-09 18:25:29 +00:00
CSRBot 7bf3b8c0bf chore(deps): update docker.io/library/node docker tag to v26.7.0
Helm / helm-lint (push) Successful in 13s
Helm / helm-unittest (push) Successful in 19s
Helm / helm-lint (pull_request) Successful in 16s
Helm / helm-unittest (pull_request) Successful in 21s
2026-08-09 18:24:18 +00:00
CSRBot 000a526d37 Merge pull request 'chore(deps): update docker.io/library/node docker tag to v26.5.1' (#189) from renovate/update-docker.iolibrarynode into master
Helm / helm-unittest (push) Successful in 24s
Helm / helm-lint (push) Successful in 7s
2026-07-30 21:18:18 +00:00
CSRBot 9901bdcb85 chore(deps): update docker.io/library/node docker tag to v26.5.1
Helm / helm-lint (push) Successful in 12s
Helm / helm-unittest (push) Successful in 15s
Helm / helm-unittest (pull_request) Successful in 14s
Helm / helm-lint (pull_request) Successful in 11s
2026-07-30 21:17:12 +00:00
CSRBot 97154657ee Merge pull request 'chore(deps): update docker/login-action action to v4.6.0' (#188) from renovate/docker-login-action-4.x into master
Helm / helm-lint (push) Successful in 7s
Helm / helm-unittest (push) Successful in 19s
2026-07-29 16:03:59 +00:00
CSRBot 1accfda479 chore(deps): update docker/login-action action to v4.6.0
Helm / helm-lint (push) Successful in 5s
Helm / helm-unittest (push) Successful in 15s
Helm / helm-lint (pull_request) Successful in 6s
Helm / helm-unittest (pull_request) Successful in 14s
2026-07-29 15:21:37 +00:00
6 changed files with 10 additions and 139 deletions
-125
View File
@@ -1,125 +0,0 @@
#!/bin/bash
set -e -o pipefail
chart_file="Chart.yaml"
if [ ! -f "${chart_file}" ]; then
echo "ERROR: ${chart_file} not found!" 1>&2
exit 1
fi
default_new_tag="$(git tag --sort=-version:refname | head -n 1)"
default_old_tag="$(git tag --sort=-version:refname | head -n 2 | tail -n 1)"
if [ -z "${1}" ]; then
echo "Enter start tag [${default_old_tag}]:"
read -r old_tag
if [ -z "${old_tag}" ]; then
old_tag="${default_old_tag}"
fi
while [ -z "$(git tag --list "${old_tag}")" ]; do
echo "ERROR: Tag '${old_tag}' not found!" 1>&2
echo "Enter start tag [${default_old_tag}]:"
read -r old_tag
if [ -z "${old_tag}" ]; then
old_tag="${default_old_tag}"
fi
done
else
old_tag=${1}
if [ -z "$(git tag --list "${old_tag}")" ]; then
echo "ERROR: Tag '${old_tag}' not found!" 1>&2
exit 1
fi
fi
if [ -z "${2}" ]; then
echo "Enter end tag [${default_new_tag}]:"
read -r new_tag
if [ -z "${new_tag}" ]; then
new_tag="${default_new_tag}"
fi
while [ -z "$(git tag --list "${new_tag}")" ]; do
echo "ERROR: Tag '${new_tag}' not found!" 1>&2
echo "Enter end tag [${default_new_tag}]:"
read -r new_tag
if [ -z "${new_tag}" ]; then
new_tag="${default_new_tag}"
fi
done
else
new_tag=${2}
if [ -z "$(git tag --list "${new_tag}")" ]; then
echo "ERROR: Tag '${new_tag}' not found!" 1>&2
exit 1
fi
fi
change_log_yaml=$(mktemp)
echo "[]" > "${change_log_yaml}"
function map_type_to_kind() {
case "${1}" in
feat)
echo "added"
;;
fix)
echo "fixed"
;;
chore|style|test|ci|docs|refac)
echo "changed"
;;
revert)
echo "removed"
;;
sec)
echo "security"
;;
*)
echo "skip"
;;
esac
}
commit_titles="$(git log --pretty=format:"%s" "${old_tag}..${new_tag}")"
echo "INFO: Generate change log entries from ${old_tag} until ${new_tag}"
while IFS= read -r line; do
if [[ "${line}" =~ ^([a-zA-Z]+)(\([^\)]+\))?\:\ (.+)$ ]]; then
type="${BASH_REMATCH[1]}"
kind=$(map_type_to_kind "${type}")
if [ "${kind}" == "skip" ]; then
continue
fi
desc="${BASH_REMATCH[3]}"
echo "- ${kind}: ${desc}"
jq --arg kind "${kind}" --arg description "${desc}" '. += [ $ARGS.named ]' < "${change_log_yaml}" > "${change_log_yaml}.new"
mv "${change_log_yaml}.new" "${change_log_yaml}"
fi
done <<< "${commit_titles}"
if [ -s "${change_log_yaml}" ]; then
yq --inplace --input-format json --output-format yml "${change_log_yaml}"
yq --no-colors --inplace ".annotations.\"artifacthub.io/changes\" |= loadstr(\"${change_log_yaml}\") | sort_keys(.)" "${chart_file}"
else
echo "ERROR: Changelog file is empty: ${change_log_yaml}" 1>&2
exit 1
fi
rm "${change_log_yaml}"
regexp=".*-alpha-[0-9]+(\.[0-9]+){,2}$"
if [[ "${new_tag}" =~ $regexp ]]; then
yq --inplace '.annotations."artifacthub.io/prerelease" = "true"' "${chart_file}"
else
yq --inplace '.annotations."artifacthub.io/prerelease" = "false"' "${chart_file}"
fi
+1 -1
View File
@@ -11,7 +11,7 @@ jobs:
runs-on: ubuntu-latest
steps:
- uses: actions/checkout@d23441a48e516b6c34aea4fa41551a30e30af803 # v6.1.0
- uses: docker/login-action@371161bbe7024a29a25c5e19bfcbc0804fe9ad2c # v4.5.2
- uses: docker/login-action@dbcb813823bdd20940b903addbd779551569679f # v4.6.0
with:
registry: ${{ github.server_url }}
username: ${{ github.repository_owner }}
+1 -1
View File
@@ -15,7 +15,7 @@ on:
jobs:
generate-parameters:
container:
image: docker.io/library/node:26.5.0-alpine
image: docker.io/library/node:26.7.0-alpine
runs-on: ubuntu-latest
steps:
- name: Install tooling
+2 -2
View File
@@ -17,7 +17,7 @@ jobs:
- uses: actions/checkout@d23441a48e516b6c34aea4fa41551a30e30af803 # v6.1.0
- uses: azure/setup-helm@9bc31f4ebc9c6b171d7bfbaa5d006ae7abdb4310 # v5.0.1
with:
version: "v4.2.3" # renovate: datasource=github-tags depName=helm/helm
version: "v4.2.4" # renovate: datasource=github-tags depName=helm/helm
- name: Lint helm files
run: |
helm lint --values values.yaml .
@@ -28,7 +28,7 @@ jobs:
- uses: actions/checkout@d23441a48e516b6c34aea4fa41551a30e30af803 # v6.1.0
- uses: azure/setup-helm@9bc31f4ebc9c6b171d7bfbaa5d006ae7abdb4310 # v5.0.1
with:
version: "v4.2.3" # renovate: datasource=github-tags depName=helm/helm
version: "v4.2.4" # renovate: datasource=github-tags depName=helm/helm
- env:
HELM_UNITTEST_VERSION: v1.0.0 #renovate: datasource=github-releases depName=helm-unittest/helm-unittest
name: Install helm-unittest
+2 -2
View File
@@ -15,7 +15,7 @@ on:
jobs:
markdown-link-checker:
container:
image: docker.io/library/node:26.5.0-alpine
image: docker.io/library/node:26.7.0-alpine
runs-on: ubuntu-latest
steps:
- name: Install tooling
@@ -30,7 +30,7 @@ jobs:
markdown-lint:
container:
image: docker.io/library/node:26.5.0-alpine
image: docker.io/library/node:26.7.0-alpine
runs-on: ubuntu-latest
steps:
- name: Install tooling
+4 -8
View File
@@ -16,11 +16,11 @@ jobs:
steps:
- uses: volker-raschek/cosign-installer@7643eed6736a199595ed2a31e9979ec353a88adb # v4.1.3-rc3
with:
cosign-release: "v3.1.2" # renovate: datasource=github-tags depName=sigstore/cosign
cosign-release: "v3.1.3" # renovate: datasource=github-tags depName=sigstore/cosign
- uses: azure/setup-helm@9bc31f4ebc9c6b171d7bfbaa5d006ae7abdb4310 # v5.0.1
with:
version: "v4.2.3" # renovate: datasource=github-tags depName=helm/helm
version: "v4.2.4" # renovate: datasource=github-tags depName=helm/helm
- name: Install helm plugins
env:
@@ -69,11 +69,7 @@ jobs:
with:
fetch-depth: 0
- name: Add Artifacthub.io annotations
run: |
NEW_TAG="$(git tag --sort=-version:refname | head -n 1)"
OLD_TAG="$(git tag --sort=-version:refname | head -n 2 | tail -n 1)"
.gitea/scripts/add-annotations.sh "${OLD_TAG}" "${NEW_TAG}"
- uses: volker-raschek/ah-annotations@994de3ecec889e7c52f2efb1607cbe96f1924fcc # v0.2.0
- name: Extract meta information
run: |
@@ -95,7 +91,7 @@ jobs:
--passphrase-file "${GPG_PRIVATE_KEY_PASSPHRASE_FILE}" \
--version "${PACKAGE_VERSION}" ./
- uses: docker/login-action@371161bbe7024a29a25c5e19bfcbc0804fe9ad2c # v4.5.2
- uses: docker/login-action@dbcb813823bdd20940b903addbd779551569679f # v4.6.0
with:
registry: ${{ github.server_url }}
username: ${{ github.repository_owner }}